{
  pkgs,
  config,
  ...
}: {
  stylix = {
    enable = true;
    # rebecca has lavener bkg
    # tube has dark gray bkg
    # silk-light is light theme
    base16Scheme = "${pkgs.base16-schemes}/share/themes/gruvbox-material-dark-hard.yaml";
    polarity = "dark";
    image = ./nix-wallpaper-gear.png;
    fonts = {
      monospace = {
        package = pkgs.miracode;
        name = "Miracode";
      };
      serif = config.stylix.fonts.sansSerif;
      emoji = {
        package = pkgs.noto-fonts-color-emoji;
        name = "Noto Color Emoji";
      };
      sizes = {
        applications = 12;
        terminal = 10;
      };
    };
    cursor = {
      package = pkgs.hackneyed;
      name = "Hackneyed";
      size = 16;
    };
  };
}
